wdj = {}
wdj.MAX_TALKER_DIST_SQ = math.pow(256, 2)
wdj.MAX_LISTENER_DIST_SQ = math.pow(320, 2)
wdj.MAX_CHANNELS = 10
wdj.MAX_CHANNELNAME_LENGTH = 12

function wdj.include_cl(file)
	if SERVER then AddCSLuaFile(file) end
	if CLIENT then return include(file) end
end

function wdj.include_sv(file)
	if SERVER then return include(file) end
end

function wdj.include_sh(file)
	return wdj.include_cl(file) or wdj.include_sv(file)
end

wdj.medialib = wdj.include_sh("wdj/lib_medialib.lua")
wdj.medialib.MAX_HTMLPOOL_INSTANCES = 3
wdj.tdui = wdj.include_cl("wdj/lib_tdui.lua")
wdj.include_sh("wdj/medialib_volume3d.lua")
wdj.include_sh("wdj/yt_api.lua")
wdj.include_cl("wdj/cl_videorequester.lua")
wdj.include_sh("wdj/sh_utils.lua")